Skip to main content
PUT
/
v4
/
templates
/
{templateId}
Update template
curl --request PUT \
  --url https://api.kadoa.com/v4/templates/{templateId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://api.kadoa.com/v4/templates/{templateId}"

payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};

fetch('https://api.kadoa.com/v4/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": false,
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "latestVersion": 123,
    "archivedAt": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "workflowCount": 123,
    "hasPrompt": true,
    "hasSchema": true,
    "hasSchemaValidationRules": true,
    "hasNotifications": true,
    "hasFrequency": true
  }
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}
{
"error": true,
"message": "<string>",
"details": "<unknown>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

templateId
string<uuid>
required

Template ID

Body

application/json

Body

Request body for updating a template

name
string

Updated name

Required string length: 1 - 255
description
string | null

Updated description

Maximum string length: 2000

Response

200

Response for template update

error
enum<boolean>
required

Error flag (always false on success)

Available options:
false
success
enum<boolean>
required

Success flag

Available options:
true
data
object
required

Updated template